# UniTAP.dev.modules.dut_tests.dut_default_params.vrr_tests

class VrrCaps(UniTAP.dev.modules.dut_tests.test_group_params_types.Param):

Class `VrrCaps` describes DUT VRR capabilities flags and allows settings values.

- VRR enable/disable `vrr_enable`.
- Defines M_CONST `m_const`.

VrrCaps(json_obj)
vrr_enable

Set and get VRR enable/disable flag.

###### Returns:

> object bool

m_const

Set and get m const enable/disable flag.

###### Returns:

> object bool

##### Inherited Members

UniTAP.dev.modules.dut_tests.test_group_params_types.Param
  clear
  direct_set_def_value
  default_value
  min_value
  max_value
  config_id
  config_id_name
  name
  value_type
  enumeration_variants
  bit_field_list
  data_length

class BaseFront(UniTAP.dev.modules.dut_tests.test_group_params_types.Param):

Class `BaseFront` describes DUT BaseFront capabilities flags and allows settings values.

- Base front value `vrr_enable`.
- Reduced blanking enable/disable `m_const`.

BaseFront(json_obj)
base_front

Set and get va;ue of base front.

###### Returns:

> object int

reduced_blanking

Set and get reduced blanking flag support.

###### Returns:

> object bool

##### Inherited Members

UniTAP.dev.modules.dut_tests.test_group_params_types.Param
  clear
  direct_set_def_value
  default_value
  min_value
  max_value
  config_id
  config_id_name
  name
  value_type
  enumeration_variants
  bit_field_list
  data_length

class VrrTestParamBase:

Class `VrrTestParam` describes parameters for VRR Sink and Source tests.

- Test timeout, in milliseconds `timeout`.
- Defines VRR Max value `vrr_max`.
- Defines VRR Min value `vrr_min`.
- Defines VRR Static value `vrr_static`.
- Defines step of changing frame rate `vrr_step`.
- Defines timer to change frame rate `vrr_time_step`.
- Defines VRR capabilities `vrr_enable_cups` type `VrrCaps`.
- Defines VRR Base front `base_vfront` type `BaseFront`.
- Defines Base Refresh Rate `base_rate`.

VrrTestParamBase( timeout, vrr_max, vrr_min, vrr_static, vrr_step, vrr_time_step, vrr_enable_cups, base_vfront, base_rate)
timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

vrr_max: int

Set and get VRR max.

###### Returns:

> object of int type

vrr_min: int

Set and get VRR min.

###### Returns:

> object of int type

vrr_static: int

Set and get VRR static.

###### Returns:

> object of int type

vrr_step: int

Set and get VRR step.

###### Returns:

> object of int type

vrr_time_step: int

Set and get VRR time step.

###### Returns:

> object of int type

vrr_enable_cups

Set and get VRR caps.

###### Returns:

> object of `VrrCaps` type

base_vfront

Set and get base vfront value.

###### Returns:

> object of BaseFront type

base_rate: int

Set and get base rate.

###### Returns:

> object of int type

class VrrSinkDUTTestParam(VrrTestParamBase):

Class `VrrSinkDUTTestParam` describes parameters for VRR Sink and Source tests.

- Test timeout, in milliseconds `timeout`.
- Defines VRR Max value `vrr_max`.
- Defines VRR Min value `vrr_min`.
- Defines VRR Static value `vrr_static`.
- Defines step of changing frame rate `vrr_step`.
- Defines timer to change frame rate `vrr_time_step`.
- Defines VRR capabilities `vrr_enable_cups` type `VrrCaps`.
- Defines VRR Base front `base_vfront` type `BaseFront`.
- Defines Base Refresh Rate `base_rate`.

VrrSinkDUTTestParam(json_obj)

##### Inherited Members

VrrTestParamBase
  timeout
  vrr_max
  vrr_min
  vrr_static
  vrr_step
  vrr_time_step
  vrr_enable_cups
  base_vfront
  base_rate

class VrrSourceDUTTestParam(VrrTestParamBase):

Class `VrrSourceDUTTestParam` describes parameters for VRR Sink and Source tests.

- Test timeout, in milliseconds `timeout`.
- Defines VRR Max value `vrr_max`.
- Defines VRR Min value `vrr_min`.
- Defines VRR Static value `vrr_static`.
- Defines step of changing frame rate `vrr_step`.
- Defines timer to change frame rate `vrr_time_step`.
- Defines VRR capabilities `vrr_enable_cups` type `VrrCaps`.
- Defines VRR Base front `base_vfront` type `BaseFront`.
- Defines Base Refresh Rate `base_rate`.

VrrSourceDUTTestParam(json_obj)

##### Inherited Members

VrrTestParamBase
  timeout
  vrr_max
  vrr_min
  vrr_static
  vrr_step
  vrr_time_step
  vrr_enable_cups
  base_vfront
  base_rate